Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ComponentControlRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.ComponentControlRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ComponentControlRenderer

    public class ComponentControlRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ComponentControlRendererBase()`

Method Summary
`protected void` | `checkValidity(java.lang.String clientId, java.lang.String name, java.lang.String attachTiming, java.lang.String forAttr, java.lang.String operation)`
`protected java.lang.Class` | `getComponentClass()`
`protected java.lang.String` | `replaceClientIds(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String selector)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentControlRendererBase

    public ComponentControlRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### checkValidity

    protected void checkValidity(java.lang.String clientId,
                                 java.lang.String name,
                                 java.lang.String attachTiming,
                                 java.lang.String forAttr,
                                 java.lang.String operation)

### replaceClientIds

    protected java.lang.String replaceClientIds(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component,
                                                java.lang.String selector)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.